%bcond_without repolib

%global base_name xml-resolver

%define reltag .redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

%define shortname xml-commons-resolver

Name:           xml-commons-resolver-eap6
Version:        1.2
Release:        10%{?reltag}%{?dist}
Epoch:          0
Summary:        Resolver subproject of xml-commons
License:        ASL 2.0
Group:          Development/Java
URL:            http://xml.apache.org/commons/
Source0:        http://www.apache.org/dist/xml/commons/xml-commons-resolver-%{version}.tar.gz
Source1:        xml-commons-resolver-resolver.sh
Source2:        xml-commons-resolver-xread.sh
Source3:        xml-commons-resolver-xparse.sh
Source4:        xml-commons-resolver-MANIFEST.MF
Source5:        xml-commons-resolver-pom.xml
Patch0:         xml-resolver-pom.patch
Obsoletes:      xml-commons-resolver12 < %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  ant
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  jboss-parent
BuildRequires:  zip
%if %with repolib
BuildRequires:  maven2-plugin-deploy
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
Resolver subproject of xml-commons.

%package -n %{shortname}
Summary:        Resolver subproject of xml-commons
Group:          Development/Java
Obsoletes:      xml-commons-resolver12 < %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

%description -n %{shortname}
Resolver subproject of xml-commons.

%package -n %{shortname}-javadoc
Summary:        Javadoc for %{base_name}
Group:          Documentation
Requires:       jpackage-utils

%description -n %{shortname}-javadoc
Javadoc for %{base_name}.

%if %with repolib
%package -n %{shortname}-repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description -n %{shortname}-repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n %{shortname}-%{version}
cp -p %{SOURCE5} xml-resolver-%{version}.pom
%patch0 -p0 -b .sav0
find -type f -name "*.jar" | xargs -t rm
#rm -rf docs
sed -i 's/\r//' KEYS LICENSE.resolver.txt

sed -i -e 's|call Resolver|call resolver|g' resolver.xml
sed -i -e 's|classname="org.apache.xml.resolver.Catalog"|fork="yes" classname="org.apache.xml.resolver.apps.resolver"|g' resolver.xml
sed -i -e 's|org.apache.xml.resolver.Catalog|org.apache.xml.resolver.apps.resolver|g' src/manifest.resolver

%build
export CLASSPATH=
export OPT_JAR_LIST=:
%{ant} -f resolver.xml jar javadocs

##%if %with repolib
##export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
###export URL=file://`pwd`/maven2-brew
##mkdir -p `pwd`/maven2-brew/xml-resolver/xml-resolver/%{namedversion}
##cp -p build/resolver.jar maven2-brew/xml-resolver/xml-resolver/%{namedversion}/xml-resolver-%{namedversion}.jar
##cp -p xml-resolver-%{version}.pom maven2-brew/xml-resolver/xml-resolver/%{namedversion}/xml-resolver-%{namedversion}.pom
###%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=xml-resolver-%{version}.pom -Dfile=build/resolver.jar -DrepositoryId=jboss-releases-repository -Durl=${URL}
##%endif

%install
rm -rf %{buildroot}

# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE4} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/resolver.jar META-INF/MANIFEST.MF

# jar
mkdir -p %{buildroot}%{_javadir}
cp -p build/resolver.jar %{buildroot}%{_javadir}/%{base_name}-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}.jar; do ln -s ${jar} `echo $jar | sed "s|-%{namedversion}||g"`; done)

# Alternative JAR location
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p build/resolver.jar %{buildroot}%{_javadir}/%{name}/%{base_name}-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}.jar; do ln -s ${jar} `echo $jar | sed "s|-%{namedversion}||g"`; done)

# pom
mkdir -p %{buildroot}%{_mavenpomdir}
cp -p xml-resolver-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-%{base_name}.pom
%add_to_maven_depmap xml-resolver xml-resolver %{namedversion} JPP %{base_name}
[ -f %{buildroot}%{_mavendepmapfragdir}/%{base_name} ] || mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{base_name}

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{base_name}-%{namedversion}
cp -pr build/apidocs/resolver/* %{buildroot}%{_javadocdir}/%{base_name}-%{namedversion}
ln -s %{base_name}-%{namedversion} %{buildroot}%{_javadocdir}/%{base_name}

# scripts
mkdir -p %{buildroot}%{_bindir}
cp -p %{SOURCE1} %{buildroot}%{_bindir}/xml-resolver
cp -p %{SOURCE2} %{buildroot}%{_bindir}/xml-xread
cp -p %{SOURCE3} %{buildroot}%{_bindir}/xml-xparse

# repolib
%if %with repolib
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
mkdir -p `pwd`/maven2-brew/xml-resolver/xml-resolver/%{namedversion}
cp -p build/resolver.jar maven2-brew/xml-resolver/xml-resolver/%{namedversion}/xml-resolver-%{namedversion}.jar
cp -p xml-resolver-%{version}.pom maven2-brew/xml-resolver/xml-resolver/%{namedversion}/xml-resolver-%{namedversion}.pom

mkdir -p %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
cp -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
if [ -d %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/xml-resolver/xml-resolver/1.2 ]; then
    mv %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/xml-resolver/xml-resolver/1.2/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/xml-resolver/xml-resolver/%{namedversion}
    rm -r %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/xml-resolver/xml-resolver/1.2
fi
%endif

%clean
rm -rf %{buildroot}

%post -n %{shortname}
%update_maven_depmap

%postun -n %{shortname}
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%{_javadir}*/%{name}/*jar

%files -n %{shortname}
%defattr(0644,root,root,0755)
%doc KEYS LICENSE.resolver.txt
%attr(0755,root,root) %{_bindir}/xml-resolver
%attr(0755,root,root) %{_bindir}/xml-xparse
%attr(0755,root,root) %{_bindir}/xml-xread
%{_javadir}*/%{base_name}-%{namedversion}.jar
%{_javadir}*/%{base_name}.jar
%{_mavendepmapfragdir}/%{basename}
%{_mavenpomdir}/JPP-%{base_name}.pom

%files -n %{shortname}-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{base_name}-%{namedversion}
%{_javadocdir}/%{base_name}

%if %with repolib
%files -n %{shortname}-repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2-10.redhat_1
- Install same resolver.jar in main and repolib packages

* Fri May 11 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2-9.redhat_1
- Copy files to repolib instead of using deploy

* Tue Apr 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2-8_redhat_1.3
- Install only jars in main package

* Thu Apr 05 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2-8_redhat_1.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2-8._redhat_1.1.1
- Rebuild using cache signing

* Tue Feb 14 2012 David Walluck <dwalluck@redhat.com> 0:1.2-8.1
- Do not require JAXP at run-time (provided)

* Wed Feb 01 2012 David Walluck <dwalluck@redhat.com> 0:1.2-7.2
- add workaround for mvn-jpp bug

* Wed Feb 01 2012 David Walluck <dwalluck@redhat.com> 0:1.2-7.1
- add vman patch
- add repolib
- add versioned javadoc dir
- fix jar versions
- move some logic from build to prep
- add BuildRoot and fix macro
- set defattr
- Obsoletes: xml-commons-resolver12

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 3 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.2-6
- Fix merge review comments (bug#226564).

* Wed Nov 3 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.2-5
- Add missing zip BR.
- Remove perl and dos2unix usage.
- Fix license - ASL 2.0 now.

* Fri Sep 24 2010 Mat Booth <fedora@matbooth.co.uk> 0:1.2-4
- Forgot to actually install a jar with a name that maven users expect.

* Sun Sep 19 2010 Mat Booth <fedora@matbooth.co.uk> 0:1.2-3
- Install a maven pom and depmap.

* Wed Apr 7 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.2-2
- No need to require jaxp_parser_impl now that we require java 1.5 or newer.

* Fri Mar 5 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.2-1
- Update to 1.2.
- Drop gcj_support.

* Mon Jan 11 2010 Andrew Overholt <overholt@redhat.com> 0:1.1-4.17
- Fix Group tags
- Remove '.' at end of Summary
- Add dos2unix BR and fix line endings
- Use upstream tarball

* Sat Aug  8 2009 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1-4.16
- Fix specfile UTF-8 encoding.

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1-4.15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1-3.15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.1-2.15
- Install osgi manifest for eclipse-dtp

* Fri Sep 05 2008 Deepak Bhole <dbhole@redhat.com> 1.1-2.14
- Build with IcedTea to escape sinjdoc issues

* Thu Jul 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.1-2.13
- drop repotag
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.1-2jpp.12
- Autorebuild for GCC 4.3

* Thu Aug 10 2006 Deepak Bhole <dbhole@redhat.com> 1.1-1jpp.12
- Added missing dependencies.

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 0:1.1-1jpp_11fc
- Rebuilt

* Fri Jul 21 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.1-1jpp_10fc
- Added conditional native compilation.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:1.1-1jpp_9fc
- rebuild

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:1.1-1jpp_8fc
- stop scriptlet spew

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0:1.1-1jpp_7fc
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 0:1.1-1jpp_6fc
- rebuilt

* Tue Jun 28 2005 Gary Benson <gbenson@redhat.com> 0:1.1-1jpp_5fc
- Remove jarfile from the tarball.

* Thu Nov  4 2004 Gary Benson <gbenson@redhat.com> 0:1.1-1jpp_4fc
- Build into Fedora.

* Thu Oct 28 2004 Gary Benson <gbenson@redhat.com> 0:1.1-1jpp_3fc
- Bootstrap into Fedora.

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.1-1jpp_2rh
- RH vacuuming part II

* Wed Mar  3 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.1-1jpp_1rh
- RH vacuuming

* Wed Jan 21 2004 David Walluck <david@anti-microsoft.org> 0:1.1-1jpp
- 1.1
- use perl instead of patch
- don't build docs (build fails)

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.0-2jpp
- update for JPackage 1.5

* Wed Nov 13 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.0-1jpp
- Follow upstream changes, split out of xml-commons.
